Notification handlers
GET https://biolinks.pt/api/notification-handlers/
curl --request GET \
--url 'https://biolinks.pt/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolinks.pt/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional Fragmento | La cadena de búsqueda. |
| search_by | Opcional Fragmento | Qué campo está buscando. Los valores permitidos son: name. |
| is_enabled | Opcional Booleano | |
| type | Opcional Fragmento | Qué campo está buscando. Los valores permitidos son: . |
| order_by | Opcional Fragmento | Por qué campo ordenar los resultados. Los valores permitidos son: notification_handler_id , datetime , last_datetime , name. |
| order_type | Opcional Fragmento | El orden de los resultados. Los valores permitidos son: ASC para orden ascendente y DESC para orden descendente. |
| search | Opcional Fragmento | La cadena de búsqueda. |
| search_by | Opcional Fragmento | Qué campo está buscando. Los valores permitidos son: name. |
| is_enabled | Opcional Booleano | |
| type | Opcional Fragmento | Qué campo está buscando. Los valores permitidos son: . |
| order_by | Opcional Fragmento | Por qué campo ordenar los resultados. Los valores permitidos son: notification_handler_id , datetime , last_datetime , name. |
| order_type | Opcional Fragmento | El orden de los resultados. Los valores permitidos son: ASC para orden ascendente y DESC para orden descendente. |
| page | Opcional Entero | El número de la página de la que desea obtener resultados. El valor predeterminado es 1 . |
| results_per_page | Opcional Entero | ¿Cuántos resultados desea por página? Los valores permitidos son: 10 , 25 , 50 , 100 , 250 , 500 , 1000. El valor predeterminado es 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-02 14:40:54",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://biolinks.pt/api/notification-handlers?page=1",
"last": "https://biolinks.pt/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://biolinks.pt/api/notification-handlers?page=1"
}
}
GET https://biolinks.pt/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://biolinks.pt/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolinks.pt/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-02 14:40:54",
}
}
POST https://biolinks.pt/api/notification-handlers
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Obligatorio Fragmento | - |
| type | Obligatorio Fragmento | Valores permitidos: |
curl --request POST \
--url 'https://biolinks.pt/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://biolinks.pt/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://biolinks.pt/api/notification-handlers/{notification_handler_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional Fragmento | - |
| type | Opcional Fragmento | Valores permitidos: |
| is_enabled | Opcional Booleano | - |
curl --request POST \
--url 'https://biolinks.pt/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://biolinks.pt/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://biolinks.pt/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://biolinks.pt/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolinks.pt/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \